From 7ef5c23635ef773b662de01e4d981603d8480b01 Mon Sep 17 00:00:00 2001
From: archmoj <mojtaba@plot.ly>
Date: Thu, 26 Mar 2020 17:35:30 -0400
Subject: [PATCH] update various links  - from plot.ly to plotly.com or
 chart-studio.plolty.com  - from http to https

---
 README.md                                 | 36 +++++++++++------------
 SECURITY.md                               |  8 ++---
 bower.json                                |  2 +-
 composer.json                             |  4 +--
 src/components/modebar/modebar.js         |  2 +-
 src/plot_api/plot_api.js                  |  4 +--
 src/plots/attributes.js                   |  2 +-
 src/plots/font_attributes.js              |  2 +-
 src/plots/layout_attributes.js            |  2 +-
 src/plots/plots.js                        |  2 +-
 src/plots/template_attributes.js          |  2 +-
 tasks/stats.js                            |  2 +-
 test/image/mocks/sankey_energy.json       |  2 +-
 test/image/mocks/sankey_energy_dark.json  |  2 +-
 test/jasmine/tests/animate_test.js        |  4 +--
 test/jasmine/tests/annotations_test.js    | 10 +++----
 test/jasmine/tests/drawing_test.js        |  6 ++--
 test/jasmine/tests/plot_interact_test.js  |  2 +-
 test/jasmine/tests/svg_text_utils_test.js | 14 ++++-----
 test/jasmine/tests/toimage_test.js        |  2 +-
 20 files changed, 55 insertions(+), 55 deletions(-)

diff --git a/README.md b/README.md
index 2e03756a4eb..92373d53742 100644
--- a/README.md
+++ b/README.md
@@ -1,20 +1,20 @@
-<a href="https://plot.ly/javascript/"><img src="http://images.plot.ly/logo/plotlyjs-logo@2x.png" height="70"></a>
+<a href="https://plotly.com/javascript/"><img src="https://images.plot.ly/logo/plotlyjs-logo@2x.png" height="70"></a>
 
 [![npm version](https://badge.fury.io/js/plotly.js.svg)](https://badge.fury.io/js/plotly.js)
 [![circle ci](https://circleci.com/gh/plotly/plotly.js.png?&style=shield&circle-token=1f42a03b242bd969756fc3e53ede204af9b507c0)](https://circleci.com/gh/plotly/plotly.js)
 [![MIT License](https://img.shields.io/badge/License-MIT-brightgreen.svg)](https://github.com/plotly/plotly.js/blob/master/LICENSE)
 
-Built on top of [d3.js](http://d3js.org/) and [stack.gl](http://stack.gl/),
+Built on top of [d3.js](https://d3js.org/) and [stack.gl](http://stack.gl/),
 plotly.js is a high-level, declarative charting library. plotly.js ships with over 40
 chart types, including scientific charts, 3D graphs, statistical charts, SVG maps, financial charts,
 and more.
 
 <p align="center">
-    <a href="https://www.plot.ly/javascript" target="_blank">
+    <a href="https://plotly.com/javascript/" target="_blank">
     <img src="https://raw.githubusercontent.com/cldougl/plot_images/add_r_img/plotly_2017.png">
 </a></p>
 
-[Contact us](https://plot.ly/products/consulting-and-oem/) for Plotly.js consulting, dashboard development, application integration, and feature additions.
+[Contact us](https://plotly.com/products/consulting-and-oem/) for Plotly.js consulting, dashboard development, application integration, and feature additions.
 
 ## Table of contents
 
@@ -63,7 +63,7 @@ Fastly supports Plotly.js with free CDN service. Read more at https://www.fastly
 
 and use the plotly.js `dist` file(s). More info [here](https://github.com/plotly/plotly.js/blob/master/dist/README.md).
 
-#### Read the [Getting started page](https://plot.ly/javascript/getting-started/) for more examples.
+#### Read the [Getting started page](https://plotly.com/javascript/getting-started/) for more examples.
 
 
 ## Modules
@@ -93,7 +93,7 @@ Then elsewhere in your code:
 var Plotly = require('./path/to/custom-plotly');
 ```
 
-To learn more about the plotly.js module architecture, refer to our [modularizing monolithic JS projects](https://plot.ly/javascript/modularizing-monolithic-javascript-projects/) post.
+To learn more about the plotly.js module architecture, refer to our [modularizing monolithic JS projects](https://plotly.com/javascript/plotly-fundamentals/) post.
 
 #### Non-ascii characters
 
@@ -113,12 +113,12 @@ Have a bug or a feature request? Please first read the [issues guidelines](https
 
 ## Documentation
 
-Official plotly.js documentation is hosted on [plot.ly/javascript](https://plot.ly/javascript).
+Official plotly.js documentation is hosted on [plotly.com/javascript](https://plotly.com/javascript).
 
-These pages are generated by the Plotly [documentation repo](https://github.com/plotly/documentation/tree/gh-pages) built with [Jekyll](http://jekyllrb.com) and publicly hosted on GitHub Pages.
+These pages are generated by the Plotly [documentation repo](https://github.com/plotly/documentation/tree/gh-pages) built with [Jekyll](https://jekyllrb.com/) and publicly hosted on GitHub Pages.
 For more info about contributing to Plotly documentation, please read through [contributing guidelines](https://github.com/plotly/documentation/blob/source/Contributing.md).
 
-You can also suggest new documentation examples by submitting a [Codepen](http://codepen.io/tag/plotly/) on community.plot.ly with tag [`plotly-js`](http://community.plot.ly/c/plotly-js).
+You can also suggest new documentation examples by submitting a [Codepen](https://codepen.io/tag/plotly/) on community.plot.com with tag [`plotly-js`](https://community.plotly.com/c/api/plotly-js).
 
 ## Contributing
 
@@ -128,14 +128,14 @@ Please read through our [contributing guidelines](https://github.com/plotly/plot
 
 * Follow [@plotlygraphs](https://twitter.com/plotlygraphs) on Twitter for the latest Plotly news.
 * Follow [@plotly_js](https://twitter.com/plotly_js) on Twitter for plotly.js release updates.
-* Implementation help may be found on community.plot.ly (tagged [`plotly-js`](http://community.plot.ly/c/plotly-js)) or
+* Implementation help may be found on community.plot.com (tagged [`plotly-js`](https://community.plotly.com/c/plotly-js)) or
   on Stack Overflow (tagged [`plotly`](https://stackoverflow.com/questions/tagged/plotly)).
 * Developers should use the keyword `plotly` on packages which modify or add to the functionality of plotly.js when distributing through [npm](https://www.npmjs.com/browse/keyword/plotly).
-* Direct developer email support can be purchased through a [Plotly Support Plan](https://support.plot.ly/libraries/javascript).
+* Direct developer email support can be purchased through a [Plotly Support Plan](https://plotly.com/chart-studio-help/chart-studio-cloud-support/).
 
 ## Versioning
 
-This project is maintained under the [Semantic Versioning guidelines](http://semver.org/).
+This project is maintained under the [Semantic Versioning guidelines](https://semver.org/).
 
 See the [Releases section](https://github.com/plotly/plotly.js/releases) of our GitHub project for changelogs for each release version of plotly.js.
 
@@ -145,14 +145,14 @@ Open-source clients to the plotly.js APIs are available at these links:
 
 |   | GitHub repo | Getting started |
 |---|--------|---------|
-|**R / RStudio**| [ropensci/plotly](https://github.com/ropensci/plotly) | [plot.ly/r/getting-started](https://plot.ly/r/getting-started) |
-|**Python / Pandas / IPython notebook**| [plotly/plotly.py](https://github.com/plotly/plotly.py) | [plot.ly/python/getting-started](https://plot.ly/python/getting-started) |
-|**MATLAB**| [plotly/matlab-api](https://github.com/plotly/matlab-api) | [plot.ly/matlab/getting-started](https://plot.ly/matlab/getting-started) |
+|**R / RStudio**| [ropensci/plotly](https://github.com/ropensci/plotly) | [plotly/r/getting-started](https://plotly.com/r/getting-started) |
+|**Python / Pandas / IPython notebook**| [plotly/plotly.py](https://github.com/plotly/plotly.py) | [plotly/python/getting-started](https://plotly.com/python/getting-started) |
+|**MATLAB**| [plotly/matlab-api](https://github.com/plotly/matlab-api) | [plotly/matlab/getting-started](https://plotly.com/matlab/getting-started) |
 |**node.js / Tonicdev / Jupyter notebook**| [plotly/plotly-notebook-js](https://github.com/plotly/plotly-notebook-js) | |
-|**node.js cloud client**| [plotly/plotly-nodejs](https://github.com/plotly/plotly-nodejs) | [plot.ly/nodejs/getting-started](https://plot.ly/nodejs/getting-started) |
-|**Julia**| [plotly/Plotly.jl](https://github.com/plotly/Plotly.jl) | [plot.ly/julia/getting-started](https://plot.ly/julia/getting-started) |
+|**node.js cloud client**| [plotly/plotly-nodejs](https://github.com/plotly/plotly-nodejs) | [plotly/nodejs/getting-started](https://plotly.com/nodejs/getting-started) |
+|**Julia**| [plotly/Plotly.jl](https://github.com/plotly/Plotly.jl) | [plotly/julia/getting-started](https://plotly.com/julia/getting-started) |
 
-plotly.js charts can also be created and saved online for free at [plot.ly/create](https://plot.ly/create).
+plotly.js charts can also be created and saved online for free at [plotly/create](https://chart-studio.plotly.com/create).
 
 ## Creators
 
diff --git a/SECURITY.md b/SECURITY.md
index c7a177b2b10..4a9f6139f8f 100644
--- a/SECURITY.md
+++ b/SECURITY.md
@@ -9,17 +9,17 @@ untrusted data being graphed by plotly.js.  However, XSS or other issues may sti
 Note that the typical use case for plotly.js is for visualizing data from trusted sources.  For example if you use plotly.js to add a dashboard to your site and you control all the input data that's sent to plotly.js, you are not dependent on plotly.js for XSS protection.
 
 If you require a higher degree of assurance, please consider purchasing our
-[Plotly On-Premise](https://plot.ly/product/enterprise/) product, or [contact the Plotly sales team](mailto:sales@plot.ly)
+[Plotly On-Premise](https://plotly.com/get-pricing/) product, or [contact the Plotly sales team](mailto:sales@plotly.com)
 for more options.
 
 ## Reports
 
-To report a security vulnerability, please email security@plot.ly with steps to reproduce the problem. Please allow up to
+To report a security vulnerability, please email security@plotly.com with steps to reproduce the problem. Please allow up to
 24 hours for an initial response.
 
 ## Bounties
 
-In some cases, we offer monetary compensation (bounties) for reports of security vulnerabilities.  Please see the [Plotly Security Vulnerability Bounty Program](http://help.plot.ly/security/) page for more information.
+In some cases, we offer monetary compensation (bounties) for reports of security vulnerabilities.  Please see the [Plotly Security Vulnerability Bounty Program](https://plotly.com/chart-studio-help/security/) page for more information.
 
 ## Release Process
 
@@ -31,4 +31,4 @@ Since the typical plotly.js use case involves trusted data, we do not remove old
 
 ## Advisories
 
-All plotly.js security advisories released after August 1, 2016 are available at the [Plotly Security Advisories](http://help.plot.ly/security-advisories/) page.
+All plotly.js security advisories released after August 1, 2016 are available at the [Plotly Security Advisories](https://plotly.com/chart-studio-help/security-advisories/) page.
diff --git a/bower.json b/bower.json
index faebcafa089..038cbede80e 100644
--- a/bower.json
+++ b/bower.json
@@ -13,7 +13,7 @@
     "visualization",
     "plotly"
   ],
-  "homepage": "https://plot.ly",
+  "homepage": "https://plotly.com/",
   "ignore": [
     "**/.*",
     "bower_components",
diff --git a/composer.json b/composer.json
index 73e61ab540a..63618de797b 100644
--- a/composer.json
+++ b/composer.json
@@ -9,12 +9,12 @@
       "plotly"
   ],
   "minimum-stability": "stable",
-  "homepage": "https://plot.ly/javascript/",
+  "homepage": "https://plotly.com/javascript/",
   "license": "MIT",
   "authors": [
       {
           "name": "Plotly, Inc.",
-          "email": "sales@plot.ly"
+          "email": "sales@plotly.com"
       }
   ]
 }
diff --git a/src/components/modebar/modebar.js b/src/components/modebar/modebar.js
index 44322114cd4..dd387ff1a7d 100644
--- a/src/components/modebar/modebar.js
+++ b/src/components/modebar/modebar.js
@@ -299,7 +299,7 @@ proto.getLogo = function() {
     var group = this.createGroup();
     var a = document.createElement('a');
 
-    a.href = 'https://plot.ly/';
+    a.href = 'https://plotly.com/';
     a.target = '_blank';
     a.setAttribute('data-title', Lib._(this.graphInfo, 'Produced with Plotly'));
     a.className = 'modebar-btn plotlyjsicon modebar-btn--logo';
diff --git a/src/plot_api/plot_api.js b/src/plot_api/plot_api.js
index 9495caa45fe..9179a2d686c 100644
--- a/src/plot_api/plot_api.js
+++ b/src/plot_api/plot_api.js
@@ -3137,7 +3137,7 @@ function animate(gd, frameOrGroupNameOrFrameList, animationOpts) {
         throw new Error(
             'This element is not a Plotly plot: ' + gd + '. It\'s likely that you\'ve failed ' +
             'to create a plot before animating it. For more details, see ' +
-            'https://plot.ly/javascript/animations/'
+            'https://plotly.com/javascript/animations/'
         );
     }
 
@@ -3504,7 +3504,7 @@ function addFrames(gd, frameList, indices) {
         throw new Error(
             'This element is not a Plotly plot: ' + gd + '. It\'s likely that you\'ve failed ' +
             'to create a plot before adding frames. For more details, see ' +
-            'https://plot.ly/javascript/animations/'
+            'https://plotly.com/javascript/animations/'
         );
     }
 
diff --git a/src/plots/attributes.js b/src/plots/attributes.js
index cc3903e499e..bc6a2c0c685 100644
--- a/src/plots/attributes.js
+++ b/src/plots/attributes.js
@@ -164,7 +164,7 @@ module.exports = {
             editType: 'calc',
             description: [
                 'The stream id number links a data trace on a plot with a stream.',
-                'See https://plot.ly/settings for more details.'
+                'See https://chart-studio.plotly.com/settings for more details.'
             ].join(' ')
         },
         maxpoints: {
diff --git a/src/plots/font_attributes.js b/src/plots/font_attributes.js
index 518a706dfb9..abcbb3c75d2 100644
--- a/src/plots/font_attributes.js
+++ b/src/plots/font_attributes.js
@@ -39,7 +39,7 @@ module.exports = function(opts) {
                 'The web browser will only be able to apply a font if it is available on the system',
                 'which it operates. Provide multiple font families, separated by commas, to indicate',
                 'the preference in which to apply fonts if they aren\'t available on the system.',
-                'The plotly service (at https://plot.ly or on-premise) generates images on a server,',
+                'The Chart Studio Cloud (at https://chart-studio.plotly.com or on-premise) generates images on a server,',
                 'where only a select number of',
                 'fonts are installed and supported.',
                 'These include *Arial*, *Balto*, *Courier New*, *Droid Sans*,, *Droid Serif*,',
diff --git a/src/plots/layout_attributes.js b/src/plots/layout_attributes.js
index 5575e70d960..c90509d8bf0 100644
--- a/src/plots/layout_attributes.js
+++ b/src/plots/layout_attributes.js
@@ -302,7 +302,7 @@ module.exports = {
             'Determines whether or not a text link citing the data source is',
             'placed at the bottom-right cored of the figure.',
             'Has only an effect only on graphs that have been generated via',
-            'forked graphs from the plotly service (at https://plot.ly or on-premise).'
+            'forked graphs from the Chart Studio Cloud (at https://chart-studio.plotly.com or on-premise).'
         ].join(' ')
     },
     showlegend: {
diff --git a/src/plots/plots.js b/src/plots/plots.js
index 5d24930ac58..d91b4f89b88 100644
--- a/src/plots/plots.js
+++ b/src/plots/plots.js
@@ -1483,7 +1483,7 @@ plots.supplyLayoutGlobalDefaults = function(layoutIn, layoutOut, formatObj) {
 
     // Make sure that autosize is defaulted to *true*
     // on layouts with no set width and height for backward compatibly,
-    // in particular https://plot.ly/javascript/responsive-fluid-layout/
+    // in particular https://plotly.com/javascript/responsive-fluid-layout/
     //
     // Before https://github.com/plotly/plotly.js/pull/635 ,
     // layouts with no set width and height were set temporary set to 'initial'
diff --git a/src/plots/template_attributes.js b/src/plots/template_attributes.js
index cefbb3ed9f3..90bca863bca 100644
--- a/src/plots/template_attributes.js
+++ b/src/plots/template_attributes.js
@@ -54,7 +54,7 @@ exports.hovertemplateAttrs = function(opts, extra) {
             'Template string used for rendering the information that appear on hover box.',
             'Note that this will override `hoverinfo`.',
             templateFormatStringDescription,
-            'The variables available in `hovertemplate` are the ones emitted as event data described at this link https://plot.ly/javascript/plotlyjs-events/#event-data.',
+            'The variables available in `hovertemplate` are the ones emitted as event data described at this link https://plotly.com/javascript/plotlyjs-events/#event-data.',
             'Additionally, every attributes that can be specified per-point (the ones that are `arrayOk: true`) are available.',
             descPart,
             'Anything contained in tag `<extra>` is displayed in the secondary box, for example "<extra>{fullData.name}</extra>".',
diff --git a/tasks/stats.js b/tasks/stats.js
index a0a58191483..63ec0e50ab4 100644
--- a/tasks/stats.js
+++ b/tasks/stats.js
@@ -127,7 +127,7 @@ function getMainBundleInfo() {
         '- using CommonJS with `require(\'plotly.js\')`',
         '',
         'If you would like to have access to the attribute meta information ' +
-        '(including attribute descriptions as on the [schema reference page](https://plot.ly/javascript/reference/)), ' +
+        '(including attribute descriptions as on the [schema reference page](https://plotly.com/javascript/reference/)), ' +
         'use dist file `dist/plotly-with-meta.js`',
         '',
         'The main plotly.js bundle weights in at:',
diff --git a/test/image/mocks/sankey_energy.json b/test/image/mocks/sankey_energy.json
index f7c25259b69..b64e4f63f24 100644
--- a/test/image/mocks/sankey_energy.json
+++ b/test/image/mocks/sankey_energy.json
@@ -491,7 +491,7 @@
             }
         }],
     "layout": {
-        "title": "Energy forecast for 2050, UK — Department of Energy & Climate Change<br>Imperfect copy of <a href='https://bost.ocks.org/mike/sankey/'>Mike Bostock's example</a><br>with numerous <a href='https://plot.ly/javascript/'>Plotly</a> features",
+        "title": "Energy forecast for 2050, UK — Department of Energy & Climate Change<br>Imperfect copy of <a href='https://bost.ocks.org/mike/sankey/'>Mike Bostock's example</a><br>with numerous <a href='https://plotly.com/javascript/'>Plotly</a> features",
         "width": 1118,
         "height": 772,
         "font": {
diff --git a/test/image/mocks/sankey_energy_dark.json b/test/image/mocks/sankey_energy_dark.json
index 6446001693d..a6eead89377 100644
--- a/test/image/mocks/sankey_energy_dark.json
+++ b/test/image/mocks/sankey_energy_dark.json
@@ -361,7 +361,7 @@
             }
         }],
     "layout": {
-        "title": "Energy forecast for 2050, UK — Department of Energy & Climate Change<br>Imperfect copy of <a href='https://bost.ocks.org/mike/sankey/'>Mike Bostock's example</a><br>with numerous <a href='https://plot.ly/javascript/'>Plotly</a> features",
+        "title": "Energy forecast for 2050, UK — Department of Energy & Climate Change<br>Imperfect copy of <a href='https://bost.ocks.org/mike/sankey/'>Mike Bostock's example</a><br>with numerous <a href='https://plotly.com/javascript/'>Plotly</a> features",
         "width": 1200,
         "height": 1000,
         "paper_bgcolor": "rgba(0,0,0,1)",
diff --git a/test/jasmine/tests/animate_test.js b/test/jasmine/tests/animate_test.js
index a6825fc75fb..90ce6fccaba 100644
--- a/test/jasmine/tests/animate_test.js
+++ b/test/jasmine/tests/animate_test.js
@@ -122,7 +122,7 @@ describe('Test animate API', function() {
 
         expect(function() {
             Plotly.addFrames(gd2, [{}]);
-        }).toThrow(new Error('This element is not a Plotly plot: [object HTMLDivElement]. It\'s likely that you\'ve failed to create a plot before adding frames. For more details, see https://plot.ly/javascript/animations/'));
+        }).toThrow(new Error('This element is not a Plotly plot: [object HTMLDivElement]. It\'s likely that you\'ve failed to create a plot before adding frames. For more details, see https://plotly.com/javascript/animations/'));
 
         document.body.removeChild(gd);
     });
@@ -134,7 +134,7 @@ describe('Test animate API', function() {
 
         expect(function() {
             Plotly.animate(gd2, {data: [{}]});
-        }).toThrow(new Error('This element is not a Plotly plot: [object HTMLDivElement]. It\'s likely that you\'ve failed to create a plot before animating it. For more details, see https://plot.ly/javascript/animations/'));
+        }).toThrow(new Error('This element is not a Plotly plot: [object HTMLDivElement]. It\'s likely that you\'ve failed to create a plot before animating it. For more details, see https://plotly.com/javascript/animations/'));
 
         document.body.removeChild(gd);
     });
diff --git a/test/jasmine/tests/annotations_test.js b/test/jasmine/tests/annotations_test.js
index f2e161af659..cdf50f91c09 100644
--- a/test/jasmine/tests/annotations_test.js
+++ b/test/jasmine/tests/annotations_test.js
@@ -1586,10 +1586,10 @@ describe('annotation effects', function() {
 
     it('makes the whole text box a link if the link is the whole text', function(done) {
         makePlot([
-            {x: 20, y: 20, text: '<a href="https://plot.ly">Plot</a>', showarrow: false},
-            {x: 50, y: 50, text: '<a href="https://plot.ly">or</a> not', showarrow: false},
-            {x: 80, y: 80, text: '<a href="https://plot.ly">arrow</a>'},
-            {x: 20, y: 80, text: 'nor <a href="https://plot.ly">this</a>'}
+            {x: 20, y: 20, text: '<a href="https://plotly.com">Plot</a>', showarrow: false},
+            {x: 50, y: 50, text: '<a href="https://plotly.com">or</a> not', showarrow: false},
+            {x: 80, y: 80, text: '<a href="https://plotly.com">arrow</a>'},
+            {x: 20, y: 80, text: 'nor <a href="https://plotly.com">this</a>'}
         ])
         .then(function() {
             function checkBoxLink(index, isLink) {
@@ -1605,7 +1605,7 @@ describe('annotation effects', function() {
 
             function checkLink(link) {
                 expect(link.node().style.cursor).toBe('pointer');
-                expect(link.attr('xlink:href')).toBe('https://plot.ly');
+                expect(link.attr('xlink:href')).toBe('https://plotly.com');
                 expect(link.attr('xlink:show')).toBe('new');
             }
 
diff --git a/test/jasmine/tests/drawing_test.js b/test/jasmine/tests/drawing_test.js
index 3525710ce71..556a30c5762 100644
--- a/test/jasmine/tests/drawing_test.js
+++ b/test/jasmine/tests/drawing_test.js
@@ -40,7 +40,7 @@ describe('Drawing', function() {
             // append <base> with href
             var base = d3.select('body')
                 .append('base')
-                .attr('href', 'https://plot.ly');
+                .attr('href', 'https://chart-studio.plotly.com');
 
             // grab window URL
             var href = window.location.href;
@@ -56,7 +56,7 @@ describe('Drawing', function() {
         it('should append window URL w/o hash to clip-path if <base> is present', function() {
             var base = d3.select('body')
                 .append('base')
-                .attr('href', 'https://plot.ly/#hash');
+                .attr('href', 'https://chart-studio.plotly.com/#hash');
 
             window.location.hash = 'hash';
             var href = window.location.href;
@@ -547,7 +547,7 @@ describe('gradients', function() {
     it('should append window URL to gradient ref if <base> is present', function(done) {
         var base = d3.select('body')
             .append('base')
-            .attr('href', 'https://plot.ly');
+            .attr('href', 'https://chart-studio.plotly.com');
 
         Plotly.plot(gd, [{
             type: 'heatmap',
diff --git a/test/jasmine/tests/plot_interact_test.js b/test/jasmine/tests/plot_interact_test.js
index 1d62f1e05db..6abefb8b7d5 100644
--- a/test/jasmine/tests/plot_interact_test.js
+++ b/test/jasmine/tests/plot_interact_test.js
@@ -560,7 +560,7 @@ describe('plot svg clip paths', function() {
         // append <base> with href
         var base = d3.select('body')
             .append('base')
-            .attr('href', 'https://plot.ly');
+            .attr('href', 'https://chart-studio.plotly.com');
 
         // grab window URL
         var href = window.location.href.split('#')[0];
diff --git a/test/jasmine/tests/svg_text_utils_test.js b/test/jasmine/tests/svg_text_utils_test.js
index e14e79bdaac..461cb8cd8e6 100644
--- a/test/jasmine/tests/svg_text_utils_test.js
+++ b/test/jasmine/tests/svg_text_utils_test.js
@@ -117,32 +117,32 @@ describe('svg+text utils', function() {
 
         it('whitelists http hrefs', function() {
             var node = mockTextSVGElement(
-                '<a href="http://bl.ocks.org/">bl.ocks.org</a>'
+                '<a href="https://bl.ocks.org/">bl.ocks.org</a>'
             );
 
             expect(node.text()).toEqual('bl.ocks.org');
             assertAnchorAttrs(node);
-            assertAnchorLink(node, 'http://bl.ocks.org/');
+            assertAnchorLink(node, 'https://bl.ocks.org/');
         });
 
         it('whitelists https hrefs', function() {
             var node = mockTextSVGElement(
-                '<a href="https://plot.ly">plot.ly</a>'
+                '<a href="https://chart-studio.plotly.com">plotly</a>'
             );
 
-            expect(node.text()).toEqual('plot.ly');
+            expect(node.text()).toEqual('plotly');
             assertAnchorAttrs(node);
-            assertAnchorLink(node, 'https://plot.ly');
+            assertAnchorLink(node, 'https://chart-studio.plotly.com');
         });
 
         it('whitelists mailto hrefs', function() {
             var node = mockTextSVGElement(
-                '<a href="mailto:support@plot.ly">support</a>'
+                '<a href="mailto:support@plotly.com">support</a>'
             );
 
             expect(node.text()).toEqual('support');
             assertAnchorAttrs(node);
-            assertAnchorLink(node, 'mailto:support@plot.ly');
+            assertAnchorLink(node, 'mailto:support@plotly.com');
         });
 
         it('drops XSS attacks in href', function() {
diff --git a/test/jasmine/tests/toimage_test.js b/test/jasmine/tests/toimage_test.js
index be4bc062ca8..5baac3d2445 100644
--- a/test/jasmine/tests/toimage_test.js
+++ b/test/jasmine/tests/toimage_test.js
@@ -235,7 +235,7 @@ describe('Plotly.toImage', function() {
 
         var base = d3.select('body')
             .append('base')
-            .attr('href', 'https://plot.ly');
+            .attr('href', 'https://chart-studio.plotly.com');
 
         Plotly.plot(gd, [{ y: [1, 2, 1] }])
         .then(function() {
